.panel {
  float: left;
  width: 100%;
  height: 100%;
  //margin: 20px;
  position: relative;
  font-size: .8em;
  -webkit-perspective: 600px;
  perspective: 600px;
  .front {
    float: none;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 900;
    width: inherit;
    height: inherit;
    //border: 1px solid #ccc;
    background: #687280;
    text-align: center;
    box-shadow: 0 1px 5px rgba(0, 0, 0, 0.9);
    -webkit-transform: rotateX(0) rotateY(0);
    transform: rotateX(0) rotateY(0);
    -webkit-transform-style: preserve-3d;
    transform-style: preserve-3d;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    /* -- transition is the magic sauce for animation -- */
    -webkit-transition: all .4s ease-in-out;
    transition: all .4s ease-in-out;
  }
  &.flip .front {
    z-index: 900;
    border-color: #eee;
    background: #333;
    box-shadow: 0 15px 50px rgba(0, 0, 0, 0.2);
    -webkit-transform: rotateY(179deg);
    transform: rotateY(179deg);
  }
  .back {
    float: none;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 800;
    width: inherit;
    height: inherit;
    border: 1px solid #ccc;
    background: #333;
    text-shadow: 1px 1px 1px rgba(0, 0, 0, 0.6);
    -webkit-transform: rotateY(-179deg);
    transform: rotateY(-179deg);
    -webkit-transform-style: preserve-3d;
    transform-style: preserve-3d;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    /* -- transition is the magic sauce for animation -- */
    -webkit-transition: all .4s ease-in-out;
    transition: all .4s ease-in-out;
  }
  &.flip .back {
    z-index: 1000;
    background: white;
    -webkit-transform: rotateX(0) rotateY(0);
    transform: rotateX(0) rotateY(0);
    box-shadow: 0 15px 50px rgba(0, 0, 0, 0.2);
  }
}

/* -- make sure to declare a default for every property that you want animated -- */
/* -- general styles, including Y axis rotation -- */

/* -- X axis rotation for click panel -- */

.click {
  .front {
    cursor: pointer;
    -webkit-transform: rotateX(0);
    transform: rotateX(0);
  }
  &.flip .front {
    -webkit-transform: rotateX(180deg);
    transform: rotateX(180deg);
  }
  .back {
    cursor: pointer;
    -webkit-transform: rotateX(-180deg);
    transform: rotateX(-180deg);
  }
  &.flip .back {
    -webkit-transform: rotateX(0);
    transform: rotateX(0);
  }
}

/* -- contact panel -- */

.contact {
  width: 290px;
  height: 240px;
}

/* -- diagonal axis rotation -- */

.diagonal {
  .front {
    -webkit-transform: rotate3d(45, 45, 0, 0deg);
    transform: rotate3d(45, 45, 0, 0deg);
    &:hover {
      /* for the patient :) */
      -webkit-transition-duration: 10s;
      transition-duration: 10s;
      -webkit-transform: rotate3d(45, 45, 0, -36deg);
      transform: rotate3d(45, 45, 0, -36deg);
    }
  }
  &.flip .front {
    -webkit-transform: rotate3d(-45, -45, 0, 150deg);
    transform: rotate3d(-45, -45, 0, 150deg);
    /* unset the long default transition time */
    -webkit-transition: all .4s ease-in-out;
    transition: all .4s ease-in-out;
    &:hover {
      -webkit-transform: rotate3d(-45, -45, 0, 150deg);
      transform: rotate3d(-45, -45, 0, 150deg);
      /* unset the long default transition time */
      -webkit-transition: all .4s ease-in-out;
      transition: all .4s ease-in-out;
    }
  }
  .front {
    .message {
      opacity: 0;
      font-size: 1.4em;
    }
    &:hover .message {
      opacity: .4;
      -webkit-transition-duration: 12s;
      transition-duration: 12s;
      -webkit-transition-delay: 4s;
      transition-delay: 4s;
      -webkit-transform: translateX(-30px) translateZ(40px) scale(1.4);
      transform: translateX(-30px) translateZ(40px) scale(1.4);
    }
  }
  &.flip .front .message {
    -webkit-transition-duration: 1s;
    transition-duration: 1s;
    -webkit-transform: translateZ(0px) scale(0.5);
    transform: translateZ(0px) scale(0.5);
  }
  .back {
    -webkit-transform: rotate3d(45, 45, 0, -180deg);
    transform: rotate3d(45, 45, 0, -180deg);
  }
  &.flip .back {
    -webkit-transform: rotate3d(45, 45, 0, -30deg);
    transform: rotate3d(45, 45, 0, -30deg);
  }
}

/* -- swing like a gate -- */

.swing {
  .front, .back {
    width: 140px;
    -webkit-transition-duration: 1s;
    transition-duration: 1s;
    -webkit-transform-origin: 170px 0;
    transform-origin: 170px 0;
  }
  .front {
    -webkit-transform: rotateY(0);
    transform: rotateY(0);
  }
  .back {
    background-color: #555;
    /* hiding this side, so get darker */
    -webkit-transform: rotateY(-180deg) translateX(198px) translateZ(2px);
    transform: rotateY(-180deg) translateX(198px) translateZ(2px);
  }
  &.flip {
    .front {
      background-color: #222;
      /* hiding this side, so get darker */
      -webkit-transform: rotateY(180deg);
      transform: rotateY(180deg);
    }
    .back {
      background-color: #80888f;
      -webkit-transform: rotateY(0) translateX(198px) translateZ(2px);
      transform: rotateY(0) translateX(198px) translateZ(2px);
    }
  }
}

/* -- cosmetics -- */

.panel {
  .pad {
    padding: 0 15px;
  }
  &.flip .action {
    display: none;
  }
}

.block {
  ol li {
    text-align: left;
    margin: 0 0 0 28px;
  }
  .action {
    display: block;
    padding: 3px;
    background: #333;
    text-align: right;
    font-size: .8em;
    opacity: 0;
    position: absolute;
    cursor: pointer;
    -webkit-transition: opacity .2s linear;
  }
  &:hover .action {
    opacity: .7;
  }
}

.circle div {
  border-radius: 100px;
  h2 {
    padding-top: 3em;
    text-align: center;
  }
}

.user-card {
  position: absolute;
  width: 100%;
  height: 100%;

  .user-settings {
    position: relative;
    float: right;
    .icons-container {
      float: left;

      i {
        transition: all .5s ease-in-out;
        &:hover {
          cursor: pointer;
          box-shadow: 5px 5px 10px 0px rgba(0, 0, 0, 0.5);
        }
      }
    }
  }

  .img-place {
    position: relative;
    width: 50%;
    height: 50%;
    float: left;
  }
}


.main {
.app {
  position: relative;
  padding-left: .5em;
  max-width: 100%;
  background: hsl(220, 35%, 76%) 100% linear-gradient(hsl(252, 2%, 42%) 0%, hsl(0, 5%, 30%) 50%, hsl(220, 35%, 76%) 50%, hsl(220, 35%, 76%) 100%);
  background-size: auto 10em ;
  background-repeat: repeat-x;
  background-position: center top;
}

header {
  position: relative;
  height: 8em;
  grid-row: 1 / 3;
  grid-column: 2;
  background: url("https://s3-us-west-2.amazonaws.com/s.cdpn.io/154571/bla.jpg");
  background-size: cover;
  background-position: right center;

  a {
    position: absolute;
    top: var(--logo-offset);
    left: var(--logo-offset);
    display: block;
    width: var(--logo-width);
  }
  
  img {
    display: block;
    max-width: 100%;
  }
}

nav {
  display: flex;
  padding: 1.5em var(--var-padding);
  grid-row: 1;
  grid-column: 1;
  background: #fff;
  
  a {
    display: block;
    color: #333;
    text-decoration: none;
    border-bottom: 1px solid #333;
  }
  
  a + a {
    margin-left: 2em;
  }
  
  a:hover,
  a:focus {
    border-color: var(--highlight);
    border-width: 2px;
  }
  
  a[aria-current] {
    border-bottom: 2px solid var(--highlight);
  }
}

main {
  padding: var(--var-padding);
  grid-row: 2;
  grid-column: 1;
  background: #fff;
  
  h1 {
    margin-top: 0;
    font-weight: normal;

    span {
      display: block;
      color: var(--highlight);
      font-weight: bolder;
    }
    
    sub {
      font-size: .5em;
    }
  }
  
  a {
    color: var(--highlight);
    text-decoration: none;
    
    &::after {
      margin-left: 1.5em;
      content: '→';
      vertical-align: baseline;
    }
    
    &:hover,
    &:focus {
      color: var(--highlight-dark);
    }
    
    &:hover::after,
    &:focus::after {
      margin-left: 2em;
    }
  }
}

html {
  min-height: 100vh;
  font-family: sans-serif;
  line-height: 1.5;
  background: linear-gradient(45deg, hsl(30, 6%, 94%), hsl(20, 9%, 80%));
  background-repeat: no-repeat;
  background-size: cover;
}

body {
  margin: 0;
}

@media (min-width: 37.5em) {
  :root {
    --var-padding: 3em;
  }
  
  body {
    margin: 1em;
  }

  .app {
    display: grid;
    margin: 3em auto;
    grid-template-rows: 5em auto;
    grid-template-columns: 1.4fr 1fr;
    padding-left: 2em;
    background-size: auto;
    
    &::after {
      position: absolute;
      right: 1em;
      left: 1em;
      bottom: 0;
      z-index: -1;
      width: 95%;
      height: 200px;
      content: '';
      box-shadow: 0 0 5em hsl(22, 23%, 40%);
    }
  }
  
  header {
    height: auto;
    
    a {
      right: var(--logo-offset);
      left: auto;
    }
  }
  
  nav {
    justify-content: space-between;
  }
  
  main {
    min-width: var(--main-column-width);
  }
}
}